<template lang="pug">

	<div class="caja grafico-barras">
		<h3>Sector de Procedencia</h3>
		<div class="barras">
			<div class="item">
				<div class="barra" data-valor="10"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="20"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="30"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="40"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="50"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="60"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="70"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="80"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="90"></div>
				<div class="texto">bancos</div>
			</div>
			<div class="item">
				<div class="barra" data-valor="100"></div>
				<div class="texto">bancos</div>
			</div>
		</div>
	</div>

</template>

<style lang="stylus">
.grafico-barras
	padding 1.2rem
	background-color: white
	box-shadow: 0px 7px 15px rgba(64, 58, 147, 0.12);
	border-radius: 4px;

	h3
		font-weight: bold;
		font-size: 18px;
		line-height: 135%;

		letter-spacing: -0.015em;
		text-transform: uppercase;
		color: var(--color-categoria)

	.item
		margin-bottom 1rem
		border-bottom 1px dashed #C7C7D3
		display flex
		justify-content space-between
		align-items center

	.barra
		background-color: dimgray
		height 1.5rem
		flex 0 0 auto
		for num in (1..100)
			&[data-valor={"'"+num+"'"}]
				width: 0.75% * num
				flex-basis 0.75% * num
				background-color tint(dimgray, 1% * (100 - num))

				.maestria &
				.maestrias &
					background-color tint(#2AB7C6, 1% * (100 - num))

				.doctorado &
				.doctorados &
					background-color tint(#584DAA, 1% * (100 - num))

				.ejecutiva &
				.ejecutivas &
				.educacion-ejecutiva &
					background-color tint(#C96257, 1% * (100 - num))


	.texto
		font-weight: 500;
		font-size: 13px;
		line-height: 150%;

		text-align: right;
		letter-spacing: -0.022em;

		color: #4C4B5C;
		white-space: nowrap;
		text-align right

</style>
